org.yaml.snakeyaml.scanner

## Class Constant

- java.lang.Object
- - org.yaml.snakeyaml.scanner.Constant

    public final class Constant
    extends Object

### Field Summary

Fields
`static Constant` `ALPHA`
`static Constant` `LINEBR`
`static Constant` `NULL_BL_LINEBR`
`static Constant` `NULL_BL_T`
`static Constant` `NULL_BL_T_LINEBR`
`static Constant` `NULL_OR_LINEBR`
`static Constant` `URI_CHARS`

### Method Summary

Methods
`boolean` `has(int c)`
`boolean` `has(int c, String additional)`
`boolean` `hasNo(int c)`
`boolean` `hasNo(int c, String additional)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LINEBR

    public static final Constant LINEBR

#### NULL_OR_LINEBR

    public static final Constant NULL_OR_LINEBR

#### NULL_BL_LINEBR

    public static final Constant NULL_BL_LINEBR

#### NULL_BL_T_LINEBR

    public static final Constant NULL_BL_T_LINEBR

#### NULL_BL_T

    public static final Constant NULL_BL_T

#### URI_CHARS

    public static final Constant URI_CHARS

#### ALPHA

    public static final Constant ALPHA

### Method Detail

#### has

    public boolean has(int c)

#### hasNo

    public boolean hasNo(int c)

#### has

    public boolean has(int c,
              String additional)

#### hasNo

    public boolean hasNo(int c,
                String additional)